## GOAccumulator GOAccumulator |

## Functions

void | go_accumulator_add ()
void | go_accumulator_addl ()
void | go_accumulator_addD ()
void | go_accumulator_add_quad ()
void | go_accumulator_add_quadl ()
void | go_accumulator_add_quadD ()
void | go_accumulator_clear ()
void | go_accumulator_clearl ()
void | go_accumulator_clearD ()
void | go_accumulator_end ()
void | go_accumulator_endl ()
void | go_accumulator_endD ()
void | go_accumulator_free ()
void | go_accumulator_freel ()
void | go_accumulator_freeD ()
gboolean | go_accumulator_functional ()
gboolean | go_accumulator_functionall ()
gboolean | go_accumulator_functionalD ()
GOAccumulator * | go_accumulator_new ()
GOAccumulatorl * | go_accumulator_newl ()
GOAccumulatorD * | go_accumulator_newD ()
void * | go_accumulator_start ()
void * | go_accumulator_startl ()
void * | go_accumulator_startD ()
double | go_accumulator_value ()
long double | go_accumulator_valuel ()
_Decimal64 | go_accumulator_valueD ()

## Types and Values

typedef | GOAccumulator
typedef | GOAccumulatorl
typedef | GOAccumulatorD

## Description

## Functions

### go_accumulator_add ()

    void
    go_accumulator_add (GOAccumulator *acc,
                        double x);

[skip]

#### Parameters

acc | accumulator |
x | value to add |

### go_accumulator_addl ()

    void
    go_accumulator_addl (GOAccumulatorl *acc,
                         long double x);

[skip]

#### Parameters

acc | accumulator |
x | value to add |

### go_accumulator_addD ()

    void
    go_accumulator_addD (GOAccumulatorD *acc,
                         _Decimal64 x);

[skip]

#### Parameters

acc | accumulator |
x | value to add |

### go_accumulator_add_quad ()

    void
    go_accumulator_add_quad (GOAccumulator *acc,
                             const GOQuad *x);

[skip]

#### Parameters

acc | accumulator |
x | value to add |

### go_accumulator_add_quadl ()

    void
    go_accumulator_add_quadl (GOAccumulatorl *acc,
                              const GOQuadl *x);

[skip]

#### Parameters

acc | accumulator |
x | value to add |

### go_accumulator_add_quadD ()

    void
    go_accumulator_add_quadD (GOAccumulatorD *acc,
                              const GOQuadD *x);

[skip]

#### Parameters

acc | accumulator |
x | value to add |

### go_accumulator_clear ()

    void
    go_accumulator_clear (GOAccumulator *acc);

[skip]

#### Parameters

acc | accumulator |

### go_accumulator_clearl ()

    void
    go_accumulator_clearl (GOAccumulatorl *acc);

[skip]

#### Parameters

acc | accumulator |

### go_accumulator_clearD ()

    void
    go_accumulator_clearD (GOAccumulatorD *acc);

[skip]

#### Parameters

acc | accumulator |

### go_accumulator_end ()

    void
    go_accumulator_end (void *state);

### go_accumulator_endl ()

    void
    go_accumulator_endl (void *state);

### go_accumulator_endD ()

    void
    go_accumulator_endD (void *state);

### go_accumulator_free ()

    void
    go_accumulator_free (GOAccumulator *acc);

[skip]

#### Parameters

acc | accumulator |

### go_accumulator_freel ()

    void
    go_accumulator_freel (GOAccumulatorl *acc);

[skip]

#### Parameters

acc | accumulator |

### go_accumulator_freeD ()

    void
    go_accumulator_freeD (GOAccumulatorD *acc);

[skip]

#### Parameters

acc | accumulator |

### go_accumulator_functional ()

    gboolean
    go_accumulator_functional (void);

### go_accumulator_functionall ()

    gboolean
    go_accumulator_functionall (void);

### go_accumulator_functionalD ()

    gboolean
    go_accumulator_functionalD (void);

### go_accumulator_new ()

    GOAccumulator *
    go_accumulator_new (void);

[skip]

### go_accumulator_newl ()

    GOAccumulatorl *
    go_accumulator_newl (void);

[skip]

### go_accumulator_newD ()

    GOAccumulatorD *
    go_accumulator_newD (void);

[skip]

### go_accumulator_start ()

    void *
    go_accumulator_start (void);

[skip]

### go_accumulator_startl ()

    void *
    go_accumulator_startl (void);

[skip]

### go_accumulator_startD ()

    void *
    go_accumulator_startD (void);

[skip]

### go_accumulator_value ()

    double
    go_accumulator_value (GOAccumulator *acc);

[skip]

#### Parameters

acc | accumulator |

### go_accumulator_valuel ()

    long double
    go_accumulator_valuel (GOAccumulatorl *acc);

[skip]

#### Parameters

acc | accumulator |

### go_accumulator_valueD ()

    _Decimal64
    go_accumulator_valueD (GOAccumulatorD *acc);

[skip]

#### Parameters

acc | accumulator |

## Types and Values

### GOAccumulator

    typedef struct GOAccumulator_ GOAccumulator;

### GOAccumulatorl

    typedef struct GOAccumulatorl_ GOAccumulatorl;

### GOAccumulatorD

    typedef struct GOAccumulatorD_ GOAccumulatorD;